/*
 * Copyright (c) 2000, 2001 Manuel Kauers, Stefan Rhrich
 * Alle Rechte vorbehalten.
 */

package picture.io;

import java.io.*;
import java.util.zip.*;

/**
 * Klasse mit Hllklassen fr Optionen mancher Streams.
 */
public class DefaultStreams {
    public static class HuffmanOutputStream extends BufferedOutputStream {
	public HuffmanOutputStream(OutputStream out) {
	    super(new DeflaterOutputStream(out, new Deflater(Deflater.HUFFMAN_ONLY)));
	}
    }

    public static class HuffmanInputStream extends BufferedInputStream {
	public HuffmanInputStream(InputStream in) {
	    super(new InflaterInputStream(in));
	}
    }

    public static class DeflateOutputStream extends BufferedOutputStream {
	public DeflateOutputStream(OutputStream out) {
	    super(new DeflaterOutputStream(out, new Deflater(Deflater.BEST_COMPRESSION)));
	}
    }

    public static class DeflateInputStream extends BufferedInputStream {
	public DeflateInputStream(InputStream in) {
	    super(new InflaterInputStream(in));
	}
    }
}
